LibreOffice: XStorageBasedDocument Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XStorageBasedDocument Interface Reference

allows to initialize document with a storage, to store document to a storage, and to set document to be based on provided storage. More...

`import "XStorageBasedDocument.idl";`

Inheritance diagram for XStorageBasedDocument:

## Public Member Functions
void | loadFromStorage ([in] ::com::sun::star::embed::XStorage xStorage, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::frame::DoubleInitializationException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the document load itself using provided storage.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage xStorage, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the document store itself to the provided storage.
void | switchToStorage ([in] ::com::sun::star::embed::XStorage xStorage) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| allows to switch the document to the provided storage.
::com::sun::star::embed::XStorage | getDocumentStorage () raises ( ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| allows to get the storage the document is based on.
void | addStorageChangeListener ([in] XStorageChangeListener xListener)
| allows to register a listener that will be notified when another storage is set to the document.
void | removeStorageChangeListener ([in] XStorageChangeListener xListener)
| allows to deregister the listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to initialize document with a storage, to store document to a storage, and to set document to be based on provided storage.

## Member Function Documentation

## ◆ addStorageChangeListener()

void addStorageChangeListener | ( | [in] XStorageChangeListener | xListener | ) |

allows to register a listener that will be notified when another storage is set to the document.

## ◆ getDocumentStorage()

::com::sun::star::embed::XStorage getDocumentStorage | ( |  | ) |
raises | ( | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

allows to get the storage the document is based on.

## ◆ loadFromStorage()

void loadFromStorage | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaDescriptor )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::frame::DoubleInitializationException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

lets the document load itself using provided storage.

## ◆ removeStorageChangeListener()

void removeStorageChangeListener | ( | [in] XStorageChangeListener | xListener | ) |

allows to deregister the listener.

## ◆ storeToStorage()

void storeToStorage | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaDescriptor )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

lets the document store itself to the provided storage.

## ◆ switchToStorage()

void switchToStorage | ( | [in] ::com::sun::star::embed::XStorage | xStorage | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

allows to switch the document to the provided storage.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XStorageBasedDocument.idl